<script setup lang="ts" name="dashboard">
const props = defineProps({
  name: {
    type: String,
    required: true,
  },
})
const $router = useRouter()
const newPage = ref(
  [
    {
      name: '碳足迹监测',
      url: 'https://share.shanhaibi.com/645b6b3674e29/',
    },
    {
      name: '碳足迹评价',
      url: 'https://share.shanhaibi.com/645b6ba377610/',
    },
    {
      name: '碳足迹预警',
      url: 'https://share.shanhaibi.com/645b6c6749576/',
    },
  ],
)
const current = () => {
  console.log(newPage.value.filter(item => item.name === props.name)[0].name)
  return newPage.value.filter(item => item.name === props.name)[0]
}
current()
onMounted(() => {
  window.open(current().url, '_blank')
  // $router.push({ path: '/dashboard/index' })
  $router.go(-1)
})
</script>

 <!-- 监测 https://share.shanhaibi.com/641c0c42b4d7e/ -->
 <!-- 评价  https://share.shanhaibi.com/641c0c7ca29db/ -->
  <!-- 预警  https://share.shanhaibi.com/641c0cacce6ed/ -->
